Modify

Opened 4 years ago

Closed 4 years ago

#15842 closed defect (fixed)

asterisk11-gui postinstall does not work

Reported by: anonymous Owned by: slachta
Priority: normal Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: asterisk11 Cc:

Description

OpenWrt Barrier Breaker r40694 / LuCI Trunk (svn-r10180)

usr/lib/opkg/info/asterisk11-gui.postinst: line 4: uci_apply_defaults: not found
Collected errors:

  • pkg_run_script: package "asterisk11-gui" postinst script returned status 127.
  • opkg_configure: asterisk11-gui.postinst returned 127.

Attachments (0)

Change History (3)

comment:1 Changed 4 years ago by anonymous

solution:
1)
add subroutine in /usr/lib/opkg/info/asterisk11-gui.postinst :
uci_apply_defaults() {(

cd /etc/uci-defaults
return 0

files="$(ls)"
[ -z "$files" ] && return 0
mkdir -p /tmp/.uci
for file in $files; do

( . "./$(basename $file)" ) && rm -f "$file"

done
uci commit

)}

2)
Remove space between "." and "/lib/functions.sh"

comment:2 Changed 4 years ago by slachta

  • Owner changed from developers to slachta
  • Status changed from new to assigned

comment:3 Changed 4 years ago by slachta

  • Resolution set to fixed
  • Status changed from assigned to closed

Postinst was removed from asterisk11-gui completely. To make asterisk11-gui working you should rename/move gui_* files to the variants without gui_ prefix.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.